function check_username(e){

	const thisElement = e.target;
	const fullnameDOM = document.getElementById("fullname");
	const usernameDOM = document.getElementById("username");
	const messageDOM = document.getElementsByClassName("msg")[0];

	messageDOM.id = "normal"
	messageDOM.innerHTML = "";


	thisElement.setAttribute("disabled" , "disabled");


	if(fullnameDOM.value != "" && usernameDOM.value != ""){

		const xhr = new XMLHttpRequest();
		xhr.responseType = "json";
		xhr.open("POST" , location.origin + "/check-username.php");

		xhr.onerror = function(){
			console.log("XHR error");
		}

		xhr.onload = function(){
			const response = this.response;
			

			if(response.status === -1){
				messageDOM.id = "orange";
				messageDOM.innerHTML = `نام کاربری از قبل ثبت شده می توانید از <strong>${response.username_generated}</strong> استفاده کنید`;
			}else if(response.status === 1){
				messageDOM.id = "green";
				messageDOM.innerHTML = "نام کاربری انتخاب شده قابل ثبت می باشد";
			}

			thisElement.removeAttribute("disabled");
		}

		const frmData = new FormData();
		frmData.append("fullname",fullnameDOM.value);
		frmData.append("username",usernameDOM.value);

		xhr.send(frmData);

	}else{
		alert("لطفا نام کاربری و نام را کامل وارد کنید");
		thisElement.removeAttribute("disabled");
	}



}